Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.deploy.graph
Class Path

    java.lang.Object
      org.eclipse.jetty.deploy.graph.Path

    public class Path

extends java.lang.Object

Constructor Summary
`Path()`

Method Summary
`void` | `add(Edge edge)`
`int` | `edges()`
`Edge` | `firstEdge()`
`Node` | `firstNode()`
`Path` | `forkPath()`
`Edge` | `getEdge(int index)`
`java.util.List<Node>` | `getEdges()`
`Node` | `getNode(int index)`
`java.util.List<Node>` | `getNodes()`
`boolean` | `isEmpty()`
`Edge` | `lastEdge()`
`Node` | `lastNode()`
`int` | `nodes()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Path

    public Path()

Method Detail

### add

    public void add(Edge edge)

### forkPath

    public Path forkPath()

### getNodes

    public java.util.List<Node> getNodes()

### getEdges

    public java.util.List<Node> getEdges()

### getNode

    public Node getNode(int index)

### firstNode

    public Node firstNode()

### lastNode

    public Node lastNode()

### nodes

    public int nodes()

### edges

    public int edges()

### isEmpty

    public boolean isEmpty()

### firstEdge

    public Edge firstEdge()

### lastEdge

    public Edge lastEdge()

### getEdge

    public Edge getEdge(int index)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.